## hubzero-telequotad 1.0.0

=== Makefile ===
# Copyright 2005-2009 by Purdue Research Foundation, West Lafayette, IN 47906.
# All rights reserved.
# 
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License,
# Version 2 as published by the Free Software Foundation.


INSTDIR=$(DESTDIR)/usr/lib
ETCDIR=$(DESTDIR)/etc
OWNER=root
GROUP=root
WEBOWNER=www-data
WEBGROUP=www-data

CFLAGS	= 
LDFLAGS	=

clean:
	rm -f *.o telequotad build-stamp configure-stamp

install: telequotad
	install --owner $(OWNER) --group $(GROUP) --mode 0770 -d $(INSTDIR)/hubzero/
	install --owner $(OWNER) --group $(GROUP) --mode 0770 -d $(INSTDIR)/hubzero/bin
	install telequotad $(INSTDIR)/hubzero/bin/telequotad --owner $(OWNER) --group $(GROUP) --mode 0755
	install --owner $(OWNER) --group $(WEBGROUP) --mode 0770 -d $(ETCDIR)/hubzero/
	
	install telequotad.conf $(ETCDIR)/hubzero/telequotad.conf --owner $(OWNER) --group $(GROUP) --mode 0644
	install trim $(INSTDIR)/hubzero/bin/trim --owner $(OWNER) --group $(GROUP) --mode 0755
	install --owner $(OWNER) --group $(GROUP) --mode 0700 -D telequotad.rc  $(ETCDIR)/init.d/telequotad

%: %.o
	$(CC) -o $@ $^ $(LDFLAGS)

## hubzero-telequotad 1.0.1

=== Makefile ===
# @package      hubzero-telequotad
# @file         Makefile
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2011 Purdue University. All rights reserved.
# @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
#
# Copyright (c) 2011 Purdue University
# All rights reserved.
#
# This file is part of: The HUBzero(R) Platform for Scientific Collaboration
#
# The HUBzero(R) Platform for Scientific Collaboration (HUBzero) is free
# software: you can redistribute it and/or modify it under the terms of
# the GNU Lesser General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any
# later version.
#
# HUBzero is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# HUBzero is a registered trademark of Purdue University.
#

USRBINDIR=$(DESTDIR)/usr/bin
ETCDIR=$(DESTDIR)/etc
OWNER=root
GROUP=root

clean:
	rm -f *.o telequotad build-stamp configure-stamp

install: telequotad
	install telequotad $(USRBINDIR)/telequotad --owner $(OWNER) --group $(GROUP) --mode 0755
	install telequotad.conf $(ETCDIR)/telequotad.conf --owner $(OWNER) --group $(GROUP) --mode 0644
	install trim $(USRBINDIR)/trim --owner $(OWNER) --group $(GROUP) --mode 0755

install-init:
	install telequotad.init -D $(ETCDIR)/init.d/telequotad --owner root --group root --mode 0755

%: %.o
	$(CC) -o $@ $^ $(LDFLAGS)

## hubzero-telequotad 1.0.2

=== Makefile ===
--- 
+++ 
@@ -26,7 +26,7 @@
 # HUBzero is a registered trademark of Purdue University.
 #
 
-USRBINDIR=$(DESTDIR)/usr/bin
+USRSBINDIR=$(DESTDIR)/usr/sbin
 ETCDIR=$(DESTDIR)/etc
 OWNER=root
 GROUP=root
@@ -35,9 +35,9 @@
 	rm -f *.o telequotad build-stamp configure-stamp
 
 install: telequotad
-	install telequotad $(USRBINDIR)/telequotad --owner $(OWNER) --group $(GROUP) --mode 0755
-	install telequotad.conf $(ETCDIR)/telequotad.conf --owner $(OWNER) --group $(GROUP) --mode 0644
-	install trim $(USRBINDIR)/trim --owner $(OWNER) --group $(GROUP) --mode 0755
+	install -D telequotad $(USRSBINDIR)/telequotad --owner $(OWNER) --group $(GROUP) --mode 0755
+	install -D telequotad.conf $(ETCDIR)/telequotad.conf --owner $(OWNER) --group $(GROUP) --mode 0644
+	install -D trim $(USRSBINDIR)/trim --owner $(OWNER) --group $(GROUP) --mode 0755
 
 install-init:
 	install telequotad.init -D $(ETCDIR)/init.d/telequotad --owner root --group root --mode 0755

## hubzero-telequotad 1.1.0

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # @package      hubzero-telequotad
 # @file         Makefile
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2011 Purdue University. All rights reserved.
+# @copyright    Copyright (c) 2011-2012 Purdue University. All rights reserved.
 # @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
 #
-# Copyright (c) 2011 Purdue University
+# Copyright (c) 2011-2012 Purdue University
 # All rights reserved.
 #
 # This file is part of: The HUBzero(R) Platform for Scientific Collaboration

## hubzero-telequotad 1.1.2

=== Makefile ===
# @package      hubzero-telequotad
# @file         Makefile
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2011-2012 HUBzero Foundation, LLC.
# @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
#
# Copyright (c) 2011-2012 HUBzero Foundation, LLC.
#
# This file is part of: The HUBzero(R) Platform for Scientific Collaboration
#
# The HUBzero(R) Platform for Scientific Collaboration (HUBzero) is free
# software: you can redistribute it and/or modify it under the terms of
# the GNU Lesser General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any
# later version.
#
# HUBzero is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#

USRSBINDIR=$(DESTDIR)/usr/sbin
ETCDIR=$(DESTDIR)/etc

default all: telequotad
	true

clean:
	rm -f *.o telequotad build-stamp configure-stamp

install: telequotad
	install -D telequotad $(USRSBINDIR)/telequotad --mode 0755
	install -D telequotad.conf $(ETCDIR)/telequotad.conf --mode 0644
	install -D trim $(USRSBINDIR)/trim --mode 0755

install-init:
	install telequotad.init -D $(ETCDIR)/init.d/telequotad --mode 0755

%: %.o
	$(CC) -o $@ $^ $(LDFLAGS)

## hubzero-telequotad 1.1.3

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # @package      hubzero-telequotad
 # @file         Makefile
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2011-2012 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2011-2013 HUBzero Foundation, LLC.
 # @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
 #
-# Copyright (c) 2011-2012 HUBzero Foundation, LLC.
+# Copyright (c) 2011-2013 HUBzero Foundation, LLC.
 #
 # This file is part of: The HUBzero(R) Platform for Scientific Collaboration
 #

## hubzero-telequotad 1.1.4

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # @package      hubzero-telequotad
 # @file         Makefile
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2011-2013 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2011-2014 HUBzero Foundation, LLC.
 # @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
 #
-# Copyright (c) 2011-2013 HUBzero Foundation, LLC.
+# Copyright (c) 2011-2014 HUBzero Foundation, LLC.
 #
 # This file is part of: The HUBzero(R) Platform for Scientific Collaboration
 #
@@ -25,22 +25,31 @@
 # HUBzero is a registered trademark of HUBzero Foundation, LLC.
 #
 
+DISTRIBUTION=$(shell lsb_release -i -s)
+
+ifeq ($(DISTRIBUTION),Debian)
+INITFILE=telequotad.init.deb
+else
+INITFILE=telequotad.init.rh
+endif
+
+
 USRSBINDIR=$(DESTDIR)/usr/sbin
 ETCDIR=$(DESTDIR)/etc
 
 default all: telequotad
-	true
 
 clean:
 	rm -f *.o telequotad build-stamp configure-stamp
 
 install: telequotad
 	install -D telequotad $(USRSBINDIR)/telequotad --mode 0755
-	install -D telequotad.conf $(ETCDIR)/telequotad.conf --mode 0644
 	install -D trim $(USRSBINDIR)/trim --mode 0755
-
-install-init:
-	install telequotad.init -D $(ETCDIR)/init.d/telequotad --mode 0755
+	[ -f $(ETCDIR)/telequotad.conf ] || install -D telequotad.conf $(ETCDIR)/telequotad.conf --mode 0644
+	install $(INITFILE) -D $(ETCDIR)/init.d/telequotad --mode 0755
 
 %: %.o
-	$(CC) -o $@ $^ $(LDFLAGS)
+	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^
+
+uninstall:
+	rm $(USRSBINDIR)/telequotad $(USRSBINDIR)/trim $(ETCDIR)/init.d/telequotad $(ETCDIR)/telequotad.conf

## hubzero-telequotad 1.3.0

=== Makefile ===
# @package      hubzero-telequotad
# @file         Makefile
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2010-2014 HUBzero Foundation, LLC.
# @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
#
# Copyright (c) 2010-2014 HUBzero Foundation, LLC.
#
# This file is part of: The HUBzero(R) Platform for Scientific Collaboration
#
# The HUBzero(R) Platform for Scientific Collaboration (HUBzero) is free
# software: you can redistribute it and/or modify it under the terms of
# the GNU Lesser General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any
# later version.
#
# HUBzero is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#

USRSBIN=$(DESTDIR)/usr/sbin
ETC=$(DESTDIR)/etc

DISTRIBUTION=$(shell lsb_release -i -s)

ifeq ($(DISTRIBUTION),Debian)
INITFILE=telequotad.init.deb
else
INITFILE=telequotad.init.rh
endif

all: telequotad
	@true

install: telequotad
	install -D telequotad $(USRSBIN)/telequotad --mode 0755
	install -D trim $(USRSBIN)/trim --mode 0755
	[ -f $(ETC)/telequotad.conf ] || install -D telequotad.conf $(ETC)/telequotad.conf --mode 0644
	install $(INITFILE) -D $(ETC)/init.d/telequotad --mode 0755

%: %.o
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^

uninstall:
	rm $(USRSBIN)/telequotad $(USRSBIN)/trim $(ETC)/init.d/telequotad $(ETC)/telequotad.conf

postinst:
	@true

clean:
	rm -f *.o telequotad

.PHONY: all install uninstall postinst clean

## hubzero-telequotad 2.0.1

=== Makefile ===
# @package      hubzero-telequotad
# @file         Makefile
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2010-2015 HUBzero Foundation, LLC.
# @license      http://opensource.org/licenses/MIT MIT
#
# Copyright (c) 2010-2015 HUBzero Foundation, LLC.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#

USRSBIN=$(DESTDIR)/usr/sbin
ETC=$(DESTDIR)/etc

DISTRIBUTION=$(shell lsb_release -i -s)

ifeq ($(DISTRIBUTION),Debian)
INITFILE=telequotad.init.deb
else
INITFILE=telequotad.init.rh
endif

all: telequotad
	@true

install: telequotad
	install -D telequotad $(USRSBIN)/telequotad --mode 0755
	install -D trim $(USRSBIN)/trim --mode 0755
	[ -f $(ETC)/telequotad.conf ] || install -D telequotad.conf $(ETC)/telequotad.conf --mode 0644
	install $(INITFILE) -D $(ETC)/init.d/telequotad --mode 0755

%: %.o
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^

uninstall:
	rm $(USRSBIN)/telequotad $(USRSBIN)/trim $(ETC)/init.d/telequotad $(ETC)/telequotad.conf

postinst:
	@true

clean:
	rm -f *.o telequotad

.PHONY: all install uninstall postinst clean

## hubzero-telequotad 2.1.0-1+deb7

=== debian/changelog ===
hubzero-telequotad (2.1.0-1+deb7) unstable; urgency=low

  * version update

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 11 Apr 2018 10:08:58 -0400

hubzero-telequotad (2.0.1-1) unstable; urgency=low

  * fix restart method in init.d script

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 20 Sep 2016 17:27:08 -0400

hubzero-telequotad (2.0.0-1) unstable; urgency=low

  * update copyright, license, version
  * remove build of deprecated package hubzero-mw-telequotad

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sun, 06 Sep 2015 19:41:19 -0400

hubzero-telequotad (1.3.1-1) unstable; urgency=low

  * explicitly allow ipv6 localhost address in default config

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 03 Apr 2015 08:55:54 -0400

hubzero-telequotad (1.3.0-1) unstable; urgency=low

  * fix off-by one buffer overflow

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 10 Nov 2014 10:52:07 -0500

hubzero-telequotad (1.2.0-2) unstable; urgency=low

  * tweak transitional package dependencies

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sun, 14 Sep 2014 19:03:05 -0400

hubzero-telequotad (1.2.0-1) unstable; urgency=low

  * Repackaged to support multiple Debian releases

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 08 Sep 2014 18:58:08 -0400

hubzero-telequotad (1.1.4-1) unstable; urgency=low

  * initialize protocol family before attempting bind

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 30 Jan 2014 10:21:26 -0500

hubzero-telequotad (1.1.3-1) unstable; urgency=low

  * add initial support for ipv6

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 25 Jun 2013 15:37:18 -0400

hubzero-telequotad (1.1.2-1) unstable; urgency=low

  * add a dependency on quota

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sun, 23 Sep 2012 12:47:25 -0400

hubzero-telequotad (1.1.1-1) unstable; urgency=low

  * update HUBzero Foundation, LLC. copyrights and Debian 6 packages

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 30 Aug 2012 18:34:51 -0400

hubzero-telequotad (1.1.0-1) unstable; urgency=low

  * fix lintian errors

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 22 Mar 2012 15:45:00 -0400

hubzero-telequotad (1.0.2-1) unstable; urgency=low

  * Add missing file existence check in preinst

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 07 Dec 2011 09:35:36 -0500

hubzero-telequotad (1.0.1-1) unstable; urgency=low

  * new init script and prerm script to remove earlier broken package
  * try to be FHS/LSB compliant

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 09 Nov 2011 19:59:59 -0500

hubzero-telequotad (1.0.0-1) testing; urgency=low

  * Updated to 1.0 and changed control arch from all to any

 -- jr <jrosheck@setup1.hubzero.org>  Mon, 11 Apr 2011 10:47:39 -0400

hubzero-telequotad (0.9.3-1) testing; urgency=low

  * fix install of trim (was overwriting telequotad) 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sun, 03 Apr 2011 21:01:35 -0400

hubzero-telequotad (0.9.2-1) testing; urgency=low

  * fix new path to telequotad 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sun, 03 Apr 2011 20:20:29 -0400

hubzero-telequotad (0.9.1-1) testing; urgency=low

  * Updated the version number and added fields to make this package replace
    hubzero-mw-telequotad

 -- John Rosheck <jrosheck@purdue.edu>  Wed, 23 Mar 2011 23:40:33 -0400

hubzero-telequotad (0.9.0-1) testing; urgency=low

  * Initial release of package with new name (changed from hubzero-mw-telequotad)

 -- John Rosheck <jrosheck@purdue.edu>  Tue, 22 Mar 2011 01:32:17 -0400

hubzero-mw-telequotad (0.9.1-1) testing; urgency=low

  * Improper ownership for /etc/hubzero directory

 -- John Rosheck <jrosheck@purdue.edu>  Sat, 05 Mar 2011 06:15:36 -0500

hubzero-mw-telequotad (0.9.0-1) testing; urgency=low

  * Updated copyright and paths.  Cleaned up debian directory.

 -- John Rosheck <jrosheck@purdue.edu>  Fri, 04 Mar 2011 01:54:31 -0500

hubzero-mw-telequotad (0.8.1-1) unstable; urgency=low

  * Non-maintainer upload.
  * Updated version number to avoid conflict on repository, now unstable tree

 -- John Rosheck <jrosheck@purdue.edu>  Wed, 29 Sep 2010 16:59:35 -0400

hubzero-mw-telequotad (0.8.0-1) stable; urgency=low

  * Initial release.

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 01 Apr 2010 15:40:45 -0400

=== debian/rules ===
#!/usr/bin/make -f
#
# @package      hubzero-telequotad
# @file         rules
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2010-2015 HUBzero Foundation, LLC.
# @license      http://opensource.org/licenses/MIT MIT
#
# Copyright (c) 2010-2015 HUBzero Foundation, LLC.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

$(info ########## Goals: $(MAKECMDGOALS) ##########)

CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

export CFLAGS
export CPPFLAGS
export CXXFLAGS
export LDFLAGS

DEB_MAJOR:=$(shell lsb_release -r -s | cut -d . -f 1)

configure:
	@echo "########## configure ##########"
	dh_testdir
	>$@

build: configure
	@echo "########## build ##########"
	dh_testdir
	$(MAKE)
	>$@

clean:
	@echo "########## clean ##########"
	dh_testdir
	dh_testroot
	rm -fr build configure
	$(MAKE) clean
	dh_clean

install: build
	@echo "########## install ##########"
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/hubzero-telequotad install

binary-indep: install
	@echo "########## binary-indep ##########"
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i
	dh_installdocs -i
	dh_installexamples -i
	dh_install -i
	dh_installlogrotate -i
	dh_installinit -i
	dh_installman -i
	#dh_python2 -i
	dh_link -i
	dh_strip -i
	dh_lintian -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: install
	@echo "########## binary-arch ##########"
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -a
	dh_installdocs -a
	dh_installexamples -a
	dh_install -a
	dh_installlogrotate -a
	dh_installinit -a -p hubzero-telequotad --name=telequotad -o
	dh_installman -a
	dh_link -a
	dh_strip -a
	dh_lintian -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

#binary: binary-indep 
binary: binary-arch
	@echo "########## binary ##########"

.PHONY: clean binary-indep binary-arch binary install

## hubzero-telequotad 2.1.0-1+deb8

=== debian/changelog ===
hubzero-telequotad (2.1.0-1+deb8) unstable; urgency=low

  * version update

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 11 Apr 2018 10:08:58 -0400

=== debian/control ===
Source: hubzero-telequotad
Section: misc
Priority: optional
Maintainer: Nicholas J. Kisseberth <nkissebe@purdue.edu>
Build-Depends: debhelper (>= 8.0.0)
Standards-Version: 3.8.4
Homepage: http://hubzero.org

Package: hubzero-telequotad
Architecture: any
Replaces: hubzero-mw-telequotad
Breaks: hubzero-mw-telequotad
Depends: quota, ${shlibs:Depends}, ${misc:Depends}
Description: HUBzero quota services
 HUBzero quota services is a daemon which relays file system quota information
 between the HUBzero fileserver and cms.

## hubzero-telequotad 2.2.0

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # @package      hubzero-telequotad
 # @file         Makefile
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2015 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2018 HUBzero Foundation, LLC.
 # @license      http://opensource.org/licenses/MIT MIT
 #
-# Copyright (c) 2010-2015 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2018 HUBzero Foundation, LLC.
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the "Software"), to deal

## hubzero-telequotad 2.2.3-1+deb9

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,9 @@
 # @package      hubzero-telequotad
 # @file         Makefile
-# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2018 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2020 The Regents of the University of California.
 # @license      http://opensource.org/licenses/MIT MIT
 #
-# Copyright (c) 2010-2018 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2020 The Regents of the University of California.
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the "Software"), to deal
@@ -24,7 +23,7 @@
 # OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 # THE SOFTWARE.
 #
-# HUBzero is a registered trademark of HUBzero Foundation, LLC.
+# HUBzero is a registered trademark of The Regents of the University of California.
 #
 
 USRSBIN=$(DESTDIR)/usr/sbin

=== debian/changelog ===
hubzero-telequotad (2.2.3-1+deb9) unstable; urgency=low

  * add XFS build dependencies
  * add lsb-base dependency for init.d script

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Wed, 19 Aug 2020 22:54:16 -0700

hubzero-telequotad (2.2.2-1) unstable; urgency=low

  * update copyright/trademark ownership
  * update email address references
  * remove per file @author references
  * update copyright years

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Wed, 29 Apr 2020 14:59:42 -0700

hubzero-telequotad (2.2.1-1) unstable; urgency=low

  * add XFS filesystem quota support

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Wed, 02 Oct 2019 14:28:21 -0400

hubzero-telequotad (2.2.0-1) unstable; urgency=low

  * minor packaging updates

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Wed, 11 Apr 2018 12:48:44 -0400

hubzero-telequotad (2.1.0-1) unstable; urgency=low

  * version update

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Wed, 11 Apr 2018 10:08:58 -0400

=== debian/control ===
Source: hubzero-telequotad
Section: misc
Priority: optional
Maintainer: Nicholas J. Kisseberth <nkisseberth@ucsd.edu>
Build-Depends: debhelper (>= 8.0.0), xfslibs-dev
Standards-Version: 3.8.4
Homepage: http://hubzero.org

Package: hubzero-telequotad
Architecture: any
Replaces: hubzero-mw-telequotad
Breaks: hubzero-mw-telequotad
Depends: quota, lsb-base, ${shlibs:Depends}, ${misc:Depends}
Description: HUBzero quota services
 HUBzero quota services is a daemon which relays file system quota information
 between the HUBzero fileserver and cms.

=== debian/rules ===
--- 
+++ 
@@ -2,11 +2,10 @@
 #
 # @package      hubzero-telequotad
 # @file         rules
-# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2015 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2020 The Regents of the University of California.
 # @license      http://opensource.org/licenses/MIT MIT
 #
-# Copyright (c) 2010-2015 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2020 The Regents of the University of California.
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the "Software"), to deal
@@ -26,7 +25,7 @@
 # OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 # THE SOFTWARE.
 #
-# HUBzero is a registered trademark of HUBzero Foundation, LLC.
+# HUBzero is a registered trademark of The Regents of the University of California.
 #
 
 # Uncomment this to turn on verbose mode.
